"""Bookmarks storage manager - pickle; certainly the most simple and elegant :)

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['storage_pickle']


try:
   import cPickle
   pickle = cPickle

except ImportError:
   import pickle


class storage_pickle:
   filename = "bookmarks_db.pickle"

   def store(self, root_folder):
      outfile = open(self.filename, 'wb')
      pickle.dump(root_folder, outfile, 1)
      outfile.close()

   def load(self):
      infile = open(self.filename, 'rb')
      root_folder = pickle.load(infile)
      infile.close()

      return root_folder
